Boltiot library is not installing

I am using VM Virtual Box and i am getting error in installing bolt library using pip.
I am following every step properly of ‘Setup the Bolt Python Library’ document , 1 and 2 step are done nicely but at 3rd step installing boltiot libraray i am getting an error.
Here is my screenshot of error.

Hello Brother, You must have Python3 installed in your Virtual System first, You can install it using command sudo apt-get install python3, Only after that you can execute sudo pip3 install boltiot.
Thanks

Hi @tiwarisankalp1707,

Run the below command to install the bolt iot library.

sudo apt-get update 
sudo apt-get install python3-pip
sudo apt-get install python3-setuptools
sudo apt-get install build-essential libssl-dev libffi-dev python3-dev 
sudo apt-get update   
sudo pip3 install boltiot

Do let me know in case you need any other information.

Type the following commands and press enter.

export LC_ALL="en_US.UTF-8"
export LC_CTYPE="en_US.UTF-8"
sudo dpkg-reconfigure locales

you will be asked to select few options out of which you need to select “ALL LOCALES” and then press “OK”.

1 Like

Hi @tiwarisankalp1707
For fixing this issue follow these steps:
Step 1: Update the package on Ubuntu server.
For upgrading type -> sudo apt-get -y update
So that all the packages gets update to
latest version.
Step 2: Install python3 pip3
As pip3 is a package manager for python3
used to install and manage packages and
python libraries.
For installing type: sudo apt install python3-pip
Step 3: Installing boltiot library using pip
For installing type -> sudo pip3 install boltiot

After following these simple steps you can install bolt python library at your ubuntu server.

As your version is old and it also not satisfies the requirements that’s why you faced this issue.

If you face the same issue again then try reinstalling the software properly. And try again.
Hope this helps.

thanks @arpitlaad.lad it worked

@rahul.singh1

E: python3 setuptools has no installation candidate…

What will I do?